Project

General

Profile

Demande #5801

Modifier Welcomebot pour qu'il soit compatible avec la dernière version de Python

Added by Frédéric Couchet 5 months ago. Updated 4 months ago.

Status:
Nouveau
Priority:
Normale
Category:
-
Target version:
Start date:
03/01/2022
Due date:
% Done:

0%

Estimated time:
Difficulté:
2 Facile

Description

Lors de la mise à jour en Debian Bullseye de la VM bots, le bot welcomebot indiquait une erreur avec Python 3.

J'ai modifier welcomebot pour qu'il utilise python 2.7

cd /srv/welcomebot/git/

vi welcomebot.py pour mettre #!/usr/bin/python2.7

systemctl restart welcomebot

Le bot se connecte bien sur #april-accueil du réseau irc.libera.chat.

Vérification qu'il envoie bien les messages à une personne qui se connecte, en utilisant https://webchat.april.org/#april-accueil

Mais ce serait bien de modifier Welcomebot pour qu'il soit compatible avec la dernière version de Python disponible sur Bullseye.

History

#1

Updated by Quentin Gibeaux 4 months ago

  • Assignee set to François Poulain

Also available in: Atom PDF